pcl::visualization::PointCloudColorHandlerRGBAField< PointT > Class Template Reference
Module visualization

RGBA handler class for colors. More...

`#include <pcl/visualization/point_cloud_color_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudColorHandlerRGBAField< PointT >:

## Public Types

typedef boost::shared_ptr< PointCloudColorHandlerRGBAField< PointT > > | Ptr
typedef boost::shared_ptr< const PointCloudColorHandlerRGBAField< PointT > > | ConstPtr
Public Types inherited from pcl::visualization::PointCloudColorHandler< PointT >
typedef pcl::PointCloud< PointT > | PointCloud
typedef PointCloud::Ptr | PointCloudPtr
typedef PointCloud::ConstPtr | PointCloudConstPtr
typedef boost::shared_ptr< PointCloudColorHandler< PointT > > | Ptr
typedef boost::shared_ptr< const PointCloudColorHandler< PointT > > | ConstPtr

## Public Member Functions

| PointCloudColorHandlerRGBAField ()
| Constructor. More...
| PointCloudColorHandlerRGBAField (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual | ~PointCloudColorHandlerRGBAField ()
| Destructor. More...
virtual std::string | getFieldName () const
| Get the name of the field used. More...
virtual bool | getColor (vtkSmartPointer< vtkDataArray > &scalars) const
| Obtain the actual color for the input dataset as vtk scalars. More...
virtual void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used. More...
Public Member Functions inherited from pcl::visualization::PointCloudColorHandler< PointT >
| PointCloudColorHandler ()
| Constructor. More...
| PointCloudColorHandler (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual | ~PointCloudColorHandler ()
| Destructor. More...
bool | isCapable () const
| Check if this handler is capable of handling the input data or not. More...

## Protected Member Functions

virtual std::string | getName () const
| Class getName method. More...

## Additional Inherited Members

Protected Attributes inherited from pcl::visualization::PointCloudColorHandler< PointT >
PointCloudConstPtr | cloud_
| A pointer to the input dataset. More...
bool | capable_
| True if this handler is capable of handling the input data, false otherwise. More...
int | field_idx_
| The index of the field holding the data that represents the color. More...
std::vector< pcl::PCLPointField > | fields_
| The list of fields available for this PointCloud. More...

## Detailed Description

### template<typename PointT>
class pcl::visualization::PointCloudColorHandlerRGBAField< PointT >

RGBA handler class for colors.

Uses the data present in the "rgba" field as the color at each point. Transparency is handled.

Author
  Nizar Sallem

Definition at line 442 of file point_cloud_color_handlers.h.

## Member Typedef Documentation

template<typename PointT >

typedef boost::shared_ptr<const PointCloudColorHandlerRGBAField<PointT> > pcl::visualization::PointCloudColorHandlerRGBAField< PointT >::ConstPtr

Definition at line 450 of file point_cloud_color_handlers.h.

template<typename PointT >

typedef boost::shared_ptr<PointCloudColorHandlerRGBAField<PointT> > pcl::visualization::PointCloudColorHandlerRGBAField< PointT >::Ptr

Definition at line 449 of file point_cloud_color_handlers.h.

## Constructor & Destructor Documentation

template<typename PointT >

pcl::visualization::PointCloudColorHandlerRGBAField< PointT >::PointCloudColorHandlerRGBAField | ( |  | ) |

inline

Constructor.

Definition at line 453 of file point_cloud_color_handlers.h.

References pcl::visualization::PointCloudColorHandler< PointT >::capable_.

template<typename PointT >

pcl::visualization::PointCloudColorHandlerRGBAField< PointT >::PointCloudColorHandlerRGBAField | ( | const PointCloudConstPtr & | cloud | ) |

inline

Constructor.

Definition at line 459 of file point_cloud_color_handlers.h.

References pcl::visualization::PointCloudColorHandler< PointT >::setInputCloud().

template<typename PointT >

virtual pcl::visualization::PointCloudColorHandlerRGBAField< PointT >::~PointCloudColorHandlerRGBAField | ( |  | ) |

inline virtual

Destructor.

Definition at line 466 of file point_cloud_color_handlers.h.

## Member Function Documentation

template<typename PointT >

bool pcl::visualization::PointCloudColorHandlerRGBAField< PointT >::getColor | ( | vtkSmartPointer< vtkDataArray > & | scalars | ) | const

virtual

Obtain the actual color for the input dataset as vtk scalars.

Parameters

  [out] | scalars | the output scalars containing the color for the dataset

Returns
  true if the operation was successful (the handler is capable and the input cloud was given as a valid pointer), false otherwise

Implements pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 440 of file point_cloud_color_handlers.hpp.

References pcl::visualization::PointCloudColorHandler< PointT >::capable_, pcl::visualization::PointCloudColorHandler< PointT >::cloud_, and pcl::visualization::PointCloudColorHandler< PointT >::fields_.

template<typename PointT >

virtual std::string pcl::visualization::PointCloudColorHandlerRGBAField< PointT >::getFieldName | ( |  | ) | const

inline virtual

Get the name of the field used.

Implements pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 470 of file point_cloud_color_handlers.h.

References pcl::visualization::PointCloudColorHandler< PointT >::getColor(), and pcl::visualization::PointCloudColorHandler< PointT >::setInputCloud().

template<typename PointT >

virtual std::string pcl::visualization::PointCloudColorHandlerRGBAField< PointT >::getName | ( |  | ) | const

inline protected virtual

Class getName method.

Implements pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 489 of file point_cloud_color_handlers.h.

template<typename PointT >

void pcl::visualization::PointCloudColorHandlerRGBAField< PointT >::setInputCloud | ( | const PointCloudConstPtr & | cloud | ) |

virtual

Set the input cloud to be used.

Parameters

  [in] | cloud | the input cloud to be used by the handler

Reimplemented from pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 426 of file point_cloud_color_handlers.hpp.

References pcl::visualization::PointCloudColorHandler< PointT >::capable_, pcl::visualization::PointCloudColorHandler< PointT >::field_idx_, pcl::visualization::PointCloudColorHandler< PointT >::fields_, pcl::getFieldIndex(), and pcl::visualization::PointCloudColorHandler< PointT >::setInputCloud().

The documentation for this class was generated from the following files:

- /build/pcl-6_P28C/pcl-1.7.2/visualization/include/pcl/visualization/point_cloud_color_handlers.h
- /build/pcl-6_P28C/pcl-1.7.2/visualization/include/pcl/visualization/impl/point_cloud_color_handlers.hpp